
Synnefo - Bug # 571

Status: Closed Priority: High

Author: Vangelis Koukis Category: Cyclades UI

Created: 05/23/2011 Assignee: Christos Psaltis

Updated: 06/01/2011 Due date:

Subject: Το UI δεν χειρίζεται σωστά status="UNKNOWN"

Description

Σε προβληματικές καταστάσεις η GET /servers/detail γυρίζει status="UNKNOWN" για servers.

Το UI εμφανίζει το μηχάνημα με τη λέξη "Running", ενώ θα έπρεπε να έχει τη λέξη "Unknown".

Σε αυτή την περίπτωση, έχει νόημα να εμφανίζει κι όλες τις επιλογές δεξιά: να μπορεί ο χρήστης να (δοκιμάσει να) κάνει ό,τι θέλει

με το μηχάνημα, αφού το API δεν μπορεί να μας πει σε τι κατάσταση είναι. Αν μπορέσει, έχει καλώς. Αν όχι, θα πάρει πίσω λάθος.

Related issues:

related to Synnefo - Bug # 573: To API επιστρέφει κατάσταση "UNKNOWN" για /se... Closed 05/23/2011

History

#1 - 05/23/2011 05:08 pm - Vangelis Koukis

- Target version set to v0.4

#2 - 05/23/2011 05:23 pm - Christos Psaltis

To πρόβλημα εμφανίζεται ως εξής:

    -  Έχω ένα ιδιωτικό δίκτυο στο οποίο έχω προσθέσει κάποιο μηχάνημα. Ως εδώ όλα αυτά τα κάνω με το tool.

    -  Το ui δείχνει τα πάντα μια χαρά.

    -  Με το tool σβήνω το ιδιωτικό δίκτυο. Στην επόμενη changes-since η απάντηση που παίρνει το ui μου λέει ότι το server status του μηχανήματος

είναι πλέον unknown.

#3 - 05/23/2011 05:47 pm - Vangelis Koukis

Άνοιξα το #573 για την πλευρά του API, δείτε ώστε το UI να αναφέρει σωστά και να χειρίζεται ανάλογα το UNKNOWN, εδώ.

#4 - 05/30/2011 12:29 pm - Christos Psaltis

- Status changed from Assigned to Feedback

Οι ενέργειες που επιτρέπονται σε κάποιον server με UNKOWN status είναι reboot, shutdown, start, destroy. Δεν έβαλα το console γιατί δεν χωρούσε

στον χώρο που είναι τα actions. Οι UNKNOWN θα βγαίνουν μαζί με τα terminated.

Με την ευκαιρία αυτού του ticket, την Παρασκευή, το Σάββατο και σήμερα έκανα ένα συνολικό refactoring του τρόπου που γίνονται τα actions στο

icon view. Ο στόχος ήταν να γίνει πιο ευέλικτος ο ορισμός επιτερπόμενων actions ανά server state. Στην πορεία λύθηκαν και μερικά ακόμη μικρά

προβληματάκια που είχα εντοπίσει στην ανανέωση των μηχανών, αλλά δυστυχώς μου ξέφυγε το #583.

Σε κάθε περίπτωση λύθηκαν όλα τώρα.

Υπάρχουν άλλα state που θα πρέπει να λάβουμε υπόψη; Τώρα χειριζόμαστε τα ACTIVE, REBOOT, BUILD, STOPPED, ERROR, UNKNOWN.
#5 - 06/01/2011 11:52 am - Vangelis Koukis

- Status changed from Feedback to Closed

Tο UI αναφέρει κανονικά το state "UNKNOWN" του API, το ticket κλείνει.
